## python-pint 0.24.4

=== requirements.txt ===
platformdirs>=2.1.0
typing_extensions>=4.0.0
flexcache>=0.3
flexparser>=0.4

## python-pint 0.5.2

=== debian/changelog ===
python-pint (0.5.2-1) unstable; urgency=medium

  * Initial release. (Closes: #760586)

 -- Thomas Goirand <zigo@debian.org>  Fri, 05 Sep 2014 23:26:05 +0800

=== debian/control ===
Source: python-pint
Section: python
Priority: optional
Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
Uploaders: Thomas Goirand <zigo@debian.org>
Build-Depends: debhelper (>= 9),
               python-all (>= 2.6.6-3~),
               python-nose,
               python-setuptools,
               python-sphinx,
               python-yaml,
               python3-all,
               python3-nose,
               python3-setuptools,
               python3-yaml
Standards-Version: 3.9.5
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=openstack/python-pint.git
Vcs-Git: git://anonscm.debian.org/openstack/python-pint.git
Homepage: https://github.com/hgrecco/pint

Package: python-pint
Architecture: all
Pre-Depends: dpkg (>= 1.15.6~)
Depends: ${misc:Depends}, ${python:Depends}
Description: define, operate and manipulate physical quantities - Python 2.x
 Pint is Python module/package to define, operate and manipulate physical
 quantities: the product of a numerical value and a unit of measurement. It
 allows arithmetic operations between them and conversions from and to
 different units.
 .
 It is distributed with a comprehensive list of physical units, prefixes and
 constants. Due to its modular design, you can extend (or even rewrite!) the
 complete list without changing the source code.
 .
 This package contains the Python 2.x module.

Package: python3-pint
Architecture: all
Pre-Depends: dpkg (>= 1.15.6~)
Depends: ${misc:Depends}, ${python3:Depends}
Description: define, operate and manipulate physical quantities - Python 3.x
 Pint is Python module/package to define, operate and manipulate physical
 quantities: the product of a numerical value and a unit of measurement. It
 allows arithmetic operations between them and conversions from and to
 different units.
 .
 It is distributed with a comprehensive list of physical units, prefixes and
 constants. Due to its modular design, you can extend (or even rewrite!) the
 complete list without changing the source code.
 .
 This package contains the Python 3.x module.

Package: python-pint-doc
Section: doc
Architecture: all
Pre-Depends: dpkg (>= 1.15.6~)
Depends: ${misc:Depends}, ${sphinxdoc:Depends}
Description: define, operate and manipulate physical quantities - doc
 Pint is Python module/package to define, operate and manipulate physical
 quantities: the product of a numerical value and a unit of measurement. It
 allows arithmetic operations between them and conversions from and to
 different units.
 .
 It is distributed with a comprehensive list of physical units, prefixes and
 constants. Due to its modular design, you can extend (or even rewrite!) the
 complete list without changing the source code.
 .
 This package contains the documentation.

=== debian/rules ===
#!/usr/bin/make -f

PYTHONS:=$(shell pyversions -vr)
PYTHON3S:=$(shell py3versions -vr)

UPSTREAM_GIT = git://github.com/hgrecco/pint.git
-include /usr/share/openstack-pkg-tools/pkgos.make

%:
	dh $@ --buildsystem=python_distutils --with python2,python3,sphinxdoc

override_dh_install:
	set -e && for pyvers in $(PYTHONS); do \
		python$$pyvers setup.py install --install-layout=deb \
			--root $(CURDIR)/debian/python-pint; \
	done
	set -e && for pyvers in $(PYTHON3S); do \
		python$$pyvers setup.py install --install-layout=deb \
			--root $(CURDIR)/debian/python3-pint; \
	done
	rm -rf $(CURDIR)/debian/python*-pint/usr/lib/python*/dist-packages/*.pth

override_dh_auto_test:
ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
	nosetests
	nosetests3
endif

override_dh_clean:
	dh_clean -O--buildsystem=python_distutils
	rm -rf build

override_dh_sphinxdoc:
	PYTHONPATH=. sphinx-build -b html docs debian/python-pint-doc/usr/share/doc/python-pint-doc/html
	dh_sphinxdoc -O--buildsystem=python_distutils

# Commands not to run
override_dh_installcatalogs:
override_dh_installemacsen override_dh_installifupdown:
override_dh_installinfo override_dh_installmenu override_dh_installmime:
override_dh_installmodules override_dh_installlogcheck:
override_dh_installpam override_dh_installppp override_dh_installudev override_dh_installwm:
override_dh_installxfonts override_dh_gconf override_dh_icons override_dh_perl override_dh_usrlocal:
override_dh_installcron override_dh_installdebconf:
override_dh_installlogrotate override_dh_installgsettings:

=== debian/watch ===
version=3
http://pypi.python.org/packages/source/P/Pint Pint-(.*).tar.gz

## python-pint 0.6

=== debian/changelog ===
python-pint (0.6-1ubuntu1) xenial; urgency=medium

  [ Ondřej Nový ]
  * Fixed VCS URLs (https).

  [ Corey Bryant ]
  * d/p/adapt-tests-to-numpy-default-casting.patch: Adapt tests to changes in
    NumPy 1.10 default casting rule.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 13 Apr 2016 08:22:12 -0400

python-pint (0.6-1) unstable; urgency=medium

  * New upstream release.
  * Applied patch from Ubuntu guys (Closes: #774892):
    - Add python-numpy and python3-numpy to Build-Depends
    to enable more tests to run (tests are skipped otherwise).
  * Fixed debian/watch file.
  * Moved unit test build-depends to build-depends-indep.
  * Added dh-python as build-depends, removed version for python-all.
  * Standards-Version: 3.9.6 (no change).
  * Using the -v flag when running nosetests.

 -- Thomas Goirand <zigo@debian.org>  Fri, 29 May 2015 09:33:51 +0200

=== debian/control ===
--- 
+++ 
@@ -1,27 +1,32 @@
 Source: python-pint
 Section: python
 Priority: optional
-Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
-Uploaders: Thomas Goirand <zigo@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
+Uploaders: Thomas Goirand <zigo@debian.org>,
 Build-Depends: debhelper (>= 9),
-               python-all (>= 2.6.6-3~),
-               python-nose,
+               dh-python,
+               python-all,
                python-setuptools,
                python-sphinx,
-               python-yaml,
                python3-all,
-               python3-nose,
                python3-setuptools,
-               python3-yaml
-Standards-Version: 3.9.5
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=openstack/python-pint.git
-Vcs-Git: git://anonscm.debian.org/openstack/python-pint.git
+Build-Depends-Indep: python-nose,
+                     python-numpy,
+                     python-yaml,
+                     python3-nose,
+                     python3-numpy,
+                     python3-yaml,
+Standards-Version: 3.9.6
+Vcs-Browser: https://anonscm.debian.org/cgit/openstack/python-pint.git/
+Vcs-Git: https://anonscm.debian.org/git/openstack/python-pint.git
 Homepage: https://github.com/hgrecco/pint
 
 Package: python-pint
 Architecture: all
-Pre-Depends: dpkg (>= 1.15.6~)
-Depends: ${misc:Depends}, ${python:Depends}
+Pre-Depends: dpkg (>= 1.15.6~),
+Depends: ${misc:Depends},
+         ${python:Depends},
 Description: define, operate and manipulate physical quantities - Python 2.x
  Pint is Python module/package to define, operate and manipulate physical
  quantities: the product of a numerical value and a unit of measurement. It
@@ -36,8 +41,9 @@
 
 Package: python3-pint
 Architecture: all
-Pre-Depends: dpkg (>= 1.15.6~)
-Depends: ${misc:Depends}, ${python3:Depends}
+Pre-Depends: dpkg (>= 1.15.6~),
+Depends: ${misc:Depends},
+         ${python3:Depends},
 Description: define, operate and manipulate physical quantities - Python 3.x
  Pint is Python module/package to define, operate and manipulate physical
  quantities: the product of a numerical value and a unit of measurement. It
@@ -53,8 +59,9 @@
 Package: python-pint-doc
 Section: doc
 Architecture: all
-Pre-Depends: dpkg (>= 1.15.6~)
-Depends: ${misc:Depends}, ${sphinxdoc:Depends}
+Pre-Depends: dpkg (>= 1.15.6~),
+Depends: ${misc:Depends},
+         ${sphinxdoc:Depends},
 Description: define, operate and manipulate physical quantities - doc
  Pint is Python module/package to define, operate and manipulate physical
  quantities: the product of a numerical value and a unit of measurement. It

=== debian/rules ===
--- 
+++ 
@@ -22,8 +22,8 @@
 
 override_dh_auto_test:
 ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
-	nosetests
-	nosetests3
+	nosetests -v
+	nosetests3 -v
 endif
 
 override_dh_clean:

=== debian/watch ===
version=3
opts="uversionmangle=s/\.(b|rc)/~$1/" \
https://github.com/hgrecco/pint/tags .*/(\d[\d\.]+)\.tar\.gz

## python-pint 0.7.2

=== debian/changelog ===
python-pint (0.7.2-3) unstable; urgency=medium

  * d/rules: Changed UPSTREAM_GIT protocol to https
  * d/copyright: Changed source URL to https protocol
  * d/{control,copyright}: Use my @debian.org email address
  * Use LooseVersion for NumPy version comparing (Closes: #830348)

 -- Ondřej Nový <onovy@debian.org>  Mon, 11 Jul 2016 09:00:10 +0200

python-pint (0.7.2-2) unstable; urgency=medium

  * Added myself as uploader
  * Change directory to $ADTTMP before running Debian tests
  * Fix copyright year in documentation to make build reproducible
  * Fix unit tests failing on 32-bit arch

 -- Ondřej Nový <novy@ondrej.org>  Sat, 23 Apr 2016 14:52:51 +0200

python-pint (0.7.2-1) unstable; urgency=medium

  * Team upload.
  * New upstream release (Closes: #820195).
  * Fixed VCS URLs (https).
  * Standards-Version is 3.9.8 now (no change).
  * d/copyright
    - Cleanup and fixed for new upstream release.
    - Added myself for Debian part
  * Added python(3)-pkg-resources dependency.
  * Added simple Debian tests.
  * Install AUTHORS file.
  * Added skip_not_working_tests.patch
  * Removed logo-full.jpg duplicity in docs.

 -- Ondřej Nový <novy@ondrej.org>  Thu, 14 Apr 2016 20:28:26 +0200

=== debian/control ===
--- 
+++ 
@@ -1,9 +1,9 @@
 Source: python-pint
 Section: python
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
+Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
 Uploaders: Thomas Goirand <zigo@debian.org>,
+           Ondřej Nový <onovy@debian.org>,
 Build-Depends: debhelper (>= 9),
                dh-python,
                python-all,
@@ -17,7 +17,7 @@
                      python3-nose,
                      python3-numpy,
                      python3-yaml,
-Standards-Version: 3.9.6
+Standards-Version: 3.9.8
 Vcs-Browser: https://anonscm.debian.org/cgit/openstack/python-pint.git/
 Vcs-Git: https://anonscm.debian.org/git/openstack/python-pint.git
 Homepage: https://github.com/hgrecco/pint
@@ -25,7 +25,8 @@
 Package: python-pint
 Architecture: all
 Pre-Depends: dpkg (>= 1.15.6~),
-Depends: ${misc:Depends},
+Depends: python-pkg-resources,
+         ${misc:Depends},
          ${python:Depends},
 Description: define, operate and manipulate physical quantities - Python 2.x
  Pint is Python module/package to define, operate and manipulate physical
@@ -42,7 +43,8 @@
 Package: python3-pint
 Architecture: all
 Pre-Depends: dpkg (>= 1.15.6~),
-Depends: ${misc:Depends},
+Depends: python3-pkg-resources,
+         ${misc:Depends},
          ${python3:Depends},
 Description: define, operate and manipulate physical quantities - Python 3.x
  Pint is Python module/package to define, operate and manipulate physical

=== debian/rules ===
--- 
+++ 
@@ -3,7 +3,7 @@
 PYTHONS:=$(shell pyversions -vr)
 PYTHON3S:=$(shell py3versions -vr)
 
-UPSTREAM_GIT = git://github.com/hgrecco/pint.git
+UPSTREAM_GIT := https://github.com/hgrecco/pint.git
 -include /usr/share/openstack-pkg-tools/pkgos.make
 
 %:
@@ -18,6 +18,7 @@
 		python$$pyvers setup.py install --install-layout=deb \
 			--root $(CURDIR)/debian/python3-pint; \
 	done
+	dh_installdocs -A AUTHORS
 	rm -rf $(CURDIR)/debian/python*-pint/usr/lib/python*/dist-packages/*.pth
 
 override_dh_auto_test:
@@ -33,6 +34,7 @@
 override_dh_sphinxdoc:
 	PYTHONPATH=. sphinx-build -b html docs debian/python-pint-doc/usr/share/doc/python-pint-doc/html
 	dh_sphinxdoc -O--buildsystem=python_distutils
+	rm $(CURDIR)/debian/python-pint-doc/usr/share/doc/python-pint-doc/html/_static/logo-full.jpg
 
 # Commands not to run
 override_dh_installcatalogs:

=== debian/tests/control ===
Depends: python-pint
Test-Command: cd "$ADTTMP" ; python -c "import pint; print pint.__version__"

Depends: python3-pint
Test-Command: cd "$ADTTMP" ; python3 -c "import pint; print(pint.__version__)"

## python-pint 0.8.1

=== debian/changelog ===
python-pint (0.8.1-2) unstable; urgency=medium

  * d/control: Set Vcs-* to salsa.debian.org
  * d/copyright: Bump my copyright year
  * Fix for numpy 1.14 (Closes: #876921)
  * Bump debhelper compat level to 11
  * Standards-Version is 4.1.4 now (no changes needed)
  * Use Python 3 version of Sphinx for building docs
  * d/p/*-Use-SOURCE_DATE_EPOCH-for-copyright-year-to-make-bui.patch:
    Fix for Python 3
  * Add upstream metadata

 -- Ondřej Nový <onovy@debian.org>  Mon, 16 Apr 2018 09:50:50 +0200

python-pint (0.8.1-1) unstable; urgency=medium

  * New upstream release (Closes: #869812)
  * Skip Babel tests, they are not working in Debian
  * d/copyright: Bump upstream copyright years

 -- Ondřej Nový <onovy@debian.org>  Fri, 04 Aug 2017 18:10:40 +0200

python-pint (0.7.2-4) unstable; urgency=medium

  * Maintainer: DPMT team
  * Vcs-* move to DPMT
  * Use pybuild
  * d/copyright
    - Use https in format URL
    - Bump my copyright years
  * Use autopkgtest-pkg-python testsuite
  * d/control: Removed useless Pre-Depends on dpkg
  * Bump debhelper compat version to 10
  * Standards-Version is 4.0.0.4 now

 -- Ondřej Nový <onovy@debian.org>  Fri, 04 Aug 2017 17:37:51 +0200

=== debian/control ===
--- 
+++ 
@@ -1,30 +1,30 @@
 Source: python-pint
 Section: python
 Priority: optional
-Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
+Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
 Uploaders: Thomas Goirand <zigo@debian.org>,
            Ondřej Nový <onovy@debian.org>,
-Build-Depends: debhelper (>= 9),
+Build-Depends: debhelper (>= 11.1.4~),
                dh-python,
                python-all,
                python-setuptools,
-               python-sphinx,
                python3-all,
                python3-setuptools,
+               python3-sphinx,
 Build-Depends-Indep: python-nose,
                      python-numpy,
                      python-yaml,
                      python3-nose,
                      python3-numpy,
                      python3-yaml,
-Standards-Version: 3.9.8
-Vcs-Browser: https://anonscm.debian.org/cgit/openstack/python-pint.git/
-Vcs-Git: https://anonscm.debian.org/git/openstack/python-pint.git
+Standards-Version: 4.1.4
+Vcs-Browser: https://salsa.debian.org/python-team/modules/python-pint
+Vcs-Git: https://salsa.debian.org/python-team/modules/python-pint.git
 Homepage: https://github.com/hgrecco/pint
+Testsuite: autopkgtest-pkg-python
 
 Package: python-pint
 Architecture: all
-Pre-Depends: dpkg (>= 1.15.6~),
 Depends: python-pkg-resources,
          ${misc:Depends},
          ${python:Depends},
@@ -42,7 +42,6 @@
 
 Package: python3-pint
 Architecture: all
-Pre-Depends: dpkg (>= 1.15.6~),
 Depends: python3-pkg-resources,
          ${misc:Depends},
          ${python3:Depends},
@@ -61,7 +60,6 @@
 Package: python-pint-doc
 Section: doc
 Architecture: all
-Pre-Depends: dpkg (>= 1.15.6~),
 Depends: ${misc:Depends},
          ${sphinxdoc:Depends},
 Description: define, operate and manipulate physical quantities - doc

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=pint

%:
	dh $@ --with python2,python3,sphinxdoc --buildsystem=pybuild

override_dh_installdocs:
	dh_installdocs
	dh_installdocs -A AUTHORS

override_dh_sphinxdoc:
	PYTHONPATH=. python3 -m sphinx -b html docs debian/python-pint-doc/usr/share/doc/python-pint-doc/html
	dh_sphinxdoc -O--buildsystem=python_distutils
	rm $(CURDIR)/debian/python-pint-doc/usr/share/doc/python-pint-doc/html/_static/logo-full.jpg

## python-pint 0.9

=== debian/changelog ===
python-pint (0.9-1) unstable; urgency=medium

  * New upstream release
  * Convert git repository from git-dpm to gbp layout
  * Rebase patches
  * d/patches/0006-Fix-for-numpy-1.14.patch: Drop, applied upstream
  * Add python-funcsigs into B-D and D
  * Add python{,3}-matplotlib into B-D
  * Bump Standards-Version to 4.3.0 (no changes)
  * d/copyright:
    - Fix copyright for new upstream release
    - Bump my copyright year

 -- Ondřej Nový <onovy@debian.org>  Tue, 22 Jan 2019 16:05:10 +0100

=== debian/control ===
--- 
+++ 
@@ -11,13 +11,16 @@
                python3-all,
                python3-setuptools,
                python3-sphinx,
-Build-Depends-Indep: python-nose,
+Build-Depends-Indep: python-funcsigs,
+                     python-matplotlib,
+                     python-nose,
                      python-numpy,
                      python-yaml,
+                     python3-matplotlib,
                      python3-nose,
                      python3-numpy,
                      python3-yaml,
-Standards-Version: 4.1.4
+Standards-Version: 4.3.0
 Vcs-Browser: https://salsa.debian.org/python-team/modules/python-pint
 Vcs-Git: https://salsa.debian.org/python-team/modules/python-pint.git
 Homepage: https://github.com/hgrecco/pint
@@ -26,6 +29,7 @@
 Package: python-pint
 Architecture: all
 Depends: python-pkg-resources,
+         python-funcsigs,
          ${misc:Depends},
          ${python:Depends},
 Description: define, operate and manipulate physical quantities - Python 2.x

## python-pint 0.10.1

=== debian/changelog ===
python-pint (0.10.1-1) unstable; urgency=medium

  * New upstream release (Closes: #948422).
  * Bump Standards-Version to 4.4.1.
  * Rebase patches.
  * Bump debhelper compat level to 12 and use debhelper-compat
  * Add python3-setuptools-scm to B-D.
  * Add python3-nbsphinx and pandoc to B-D-I.
  * Switch from nose to pytest (same as upstream).
  * d/copyright: Fix for new upstream release.

 -- Ondřej Nový <onovy@debian.org>  Tue, 14 Jan 2020 13:49:58 +0100

python-pint (0.9-2) unstable; urgency=medium

  [ Ondřej Nový ]
  * Bump Standards-Version to 4.4.0.

  [ Sandro Tosi ]
  * Drop python2 support; Closes: #938026

 -- Sandro Tosi <morph@debian.org>  Thu, 10 Oct 2019 11:49:11 -0400

=== debian/control ===
--- 
+++ 
@@ -4,45 +4,23 @@
 Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
 Uploaders: Thomas Goirand <zigo@debian.org>,
            Ondřej Nový <onovy@debian.org>,
-Build-Depends: debhelper (>= 11.1.4~),
+Build-Depends: debhelper-compat (= 12),
                dh-python,
-               python-all,
-               python-setuptools,
                python3-all,
                python3-setuptools,
+               python3-setuptools-scm,
                python3-sphinx,
-Build-Depends-Indep: python-funcsigs,
-                     python-matplotlib,
-                     python-nose,
-                     python-numpy,
-                     python-yaml,
+Build-Depends-Indep: pandoc,
                      python3-matplotlib,
-                     python3-nose,
+                     python3-pytest,
+                     python3-nbsphinx,
                      python3-numpy,
                      python3-yaml,
-Standards-Version: 4.3.0
+Standards-Version: 4.4.1
 Vcs-Browser: https://salsa.debian.org/python-team/modules/python-pint
 Vcs-Git: https://salsa.debian.org/python-team/modules/python-pint.git
 Homepage: https://github.com/hgrecco/pint
 Testsuite: autopkgtest-pkg-python
-
-Package: python-pint
-Architecture: all
-Depends: python-pkg-resources,
-         python-funcsigs,
-         ${misc:Depends},
-         ${python:Depends},
-Description: define, operate and manipulate physical quantities - Python 2.x
- Pint is Python module/package to define, operate and manipulate physical
- quantities: the product of a numerical value and a unit of measurement. It
- allows arithmetic operations between them and conversions from and to
- different units.
- .
- It is distributed with a comprehensive list of physical units, prefixes and
- constants. Due to its modular design, you can extend (or even rewrite!) the
- complete list without changing the source code.
- .
- This package contains the Python 2.x module.
 
 Package: python3-pint
 Architecture: all

## python-pint 0.12

=== debian/changelog ===
python-pint (0.12-1) unstable; urgency=medium

  * New upstream release.
  * Rebase patches.
  * Bump debhelper compat level to 13.

 -- Ondřej Nový <onovy@debian.org>  Fri, 12 Jun 2020 13:43:55 +0200

python-pint (0.11-1) unstable; urgency=medium

  * New upstream release.
  * Rebase patches.
  * Bump Standards-Version to 4.5.0.
  * Rules-Requires-Root: no.

 -- Ondřej Nový <onovy@debian.org>  Mon, 02 Mar 2020 08:32:44 +0100

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
 Uploaders: Thomas Goirand <zigo@debian.org>,
            Ondřej Nový <onovy@debian.org>,
-Build-Depends: debhelper-compat (= 12),
+Build-Depends: debhelper-compat (= 13),
                dh-python,
                python3-all,
                python3-setuptools,
@@ -16,11 +16,12 @@
                      python3-nbsphinx,
                      python3-numpy,
                      python3-yaml,
-Standards-Version: 4.4.1
+Standards-Version: 4.5.0
 Vcs-Browser: https://salsa.debian.org/python-team/modules/python-pint
 Vcs-Git: https://salsa.debian.org/python-team/modules/python-pint.git
 Homepage: https://github.com/hgrecco/pint
 Testsuite: autopkgtest-pkg-python
+Rules-Requires-Root: no
 
 Package: python3-pint
 Architecture: all

## python-pint 0.16.1

=== debian/changelog ===
python-pint (0.16.1-1) unstable; urgency=medium

  * New upstream release.
  * d/copyright: Bump my copyright year.
  * d/control: Update Maintainer field with new Debian Python Team
    contact address.
  * d/control: Update Vcs-* fields with new Debian Python Team Salsa
    layout.
  * Add python3-ipykernel, python3-jupyter-client and python3-packaging
    to B-D(-I).
  * Rebase patches.
  * Set nbsphinx_allow_errors to workaround docs building.
  * d/watch: Bump version.
  * Bump standards version to 4.5.1.

 -- Ondřej Nový <onovy@debian.org>  Wed, 02 Dec 2020 10:51:35 +0100

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: python-pint
 Section: python
 Priority: optional
-Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
+Maintainer: Debian Python Team <team+python@tracker.debian.org>
 Uploaders: Thomas Goirand <zigo@debian.org>,
            Ondřej Nový <onovy@debian.org>,
 Build-Depends: debhelper-compat (= 13),
@@ -9,16 +9,19 @@
                python3-all,
                python3-setuptools,
                python3-setuptools-scm,
+               python3-ipykernel,
+               python3-jupyter-client,
                python3-sphinx,
 Build-Depends-Indep: pandoc,
                      python3-matplotlib,
+                     python3-packaging,
                      python3-pytest,
                      python3-nbsphinx,
                      python3-numpy,
                      python3-yaml,
-Standards-Version: 4.5.0
-Vcs-Browser: https://salsa.debian.org/python-team/modules/python-pint
-Vcs-Git: https://salsa.debian.org/python-team/modules/python-pint.git
+Standards-Version: 4.5.1
+Vcs-Browser: https://salsa.debian.org/python-team/packages/python-pint
+Vcs-Git: https://salsa.debian.org/python-team/packages/python-pint.git
 Homepage: https://github.com/hgrecco/pint
 Testsuite: autopkgtest-pkg-python
 Rules-Requires-Root: no

=== debian/watch ===
version=4
opts="uversionmangle=s/\.(b|rc)/~$1/" \
https://github.com/hgrecco/pint/tags .*/(\d[\d\.]+)\.tar\.gz

## python-pint 0.18

=== debian/changelog ===
python-pint (0.18-1) unstable; urgency=medium

  [ Debian Janitor ]
  * Apply multi-arch hints.
    + python-pint-doc: Add Multi-Arch: foreign.
  * Remove obsolete field Name from debian/upstream/metadata (already present in
    machine-readable debian/copyright).

  [ Andreas Tille ]
  * New upstream version
    Closes: #1002370
  * Standards-Version: 4.6.0 (routine-update)
  * Add salsa-ci file (routine-update)
  * Build-Depends: python3-pytest-subtests <!nocheck>

 -- Andreas Tille <tille@debian.org>  Wed, 26 Jan 2022 20:52:41 +0100

=== debian/rules ===
--- 
+++ 
@@ -3,7 +3,7 @@
 export PYBUILD_NAME=pint
 
 %:
-	dh $@ --with python2,python3,sphinxdoc --buildsystem=pybuild
+	dh $@ --with python3,sphinxdoc --buildsystem=pybuild
 
 override_dh_installdocs:
 	dh_installdocs

## python-pint 0.19.2

=== debian/changelog ===
python-pint (0.19.2-1) unstable; urgency=high

  * Team upload
  * New upstream version 0.19.2 (Closes: #1029993)
  * Patch: Prevent testing babel support

 -- Bastian Germann <bage@debian.org>  Mon, 30 Jan 2023 02:43:32 +0100

python-pint (0.18-2) unstable; urgency=medium

  * Team upload
  * Support babel > 2.8 (Closes: #1022469)

 -- Bastian Germann <bage@debian.org>  Sat, 10 Dec 2022 18:09:41 +0100

=== debian/control ===
--- 
+++ 
@@ -16,10 +16,11 @@
                      python3-matplotlib,
                      python3-packaging,
                      python3-pytest,
+                     python3-pytest-subtests <!nocheck>,
                      python3-nbsphinx,
                      python3-numpy,
                      python3-yaml,
-Standards-Version: 4.5.1
+Standards-Version: 4.6.0
 Vcs-Browser: https://salsa.debian.org/python-team/packages/python-pint
 Vcs-Git: https://salsa.debian.org/python-team/packages/python-pint.git
 Homepage: https://github.com/hgrecco/pint
@@ -48,6 +49,7 @@
 Architecture: all
 Depends: ${misc:Depends},
          ${sphinxdoc:Depends},
+Multi-Arch: foreign
 Description: define, operate and manipulate physical quantities - doc
  Pint is Python module/package to define, operate and manipulate physical
  quantities: the product of a numerical value and a unit of measurement. It

## python-pint 0.23

=== debian/changelog ===
python-pint (0.23-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * Remove myself from Uploaders.

  [ Antonio Valentino ]
  * New upstream release (Closes: #1067229, #1067318).
  * Standards-Version: 4.6.2 (routine-update).
  * debian/control:
    - Add myself to the list of Uploaders.
    - Update dependencies.
    - Switch to autopkgtest-pkg-pybuild.
    - Add build dependency on python3-lxml-html-clean.
  * Update d/copyright.
  * debian/patches:
    - Refresh all patches.
    - New 0007-Fix-broken-tests.patch (backported from upstream).
  * debian/rules:
    - Skip tests apparently broken (see
      https://github.com/hgrecco/pint/issues/1898).
    - Fix doc build rule.
  * Add manpage for pint-convert.
  * New d/python3-pint.lintian-overrides files.
  * New d/clean file.

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Sun, 31 Mar 2024 09:12:06 +0000

=== debian/control ===
--- 
+++ 
@@ -2,29 +2,39 @@
 Section: python
 Priority: optional
 Maintainer: Debian Python Team <team+python@tracker.debian.org>
-Uploaders: Thomas Goirand <zigo@debian.org>,
-           Ondřej Nový <onovy@debian.org>,
+Uploaders: Thomas Goirand <zigo@debian.org>, Antonio Valentino <antonio.valentino@tiscali.it>
 Build-Depends: debhelper-compat (= 13),
                dh-python,
+               libjs-requirejs,
+               pybuild-plugin-pyproject,
                python3-all,
                python3-setuptools,
                python3-setuptools-scm,
                python3-ipykernel,
                python3-jupyter-client,
-               python3-sphinx,
+               python3-lxml-html-clean,
+               python3-sphinx <!nodoc>,
+               python3-sphinx-book-theme <!nodoc>,
+               python3-sphinx-copybutton <!nodoc>,
+               python3-sphinx-design <!nodoc>
 Build-Depends-Indep: pandoc,
                      python3-matplotlib,
                      python3-packaging,
-                     python3-pytest,
+                     python3-pytest <!nocheck>,
+                     python3-pytest-benchmark <!nocheck>,
+                     python3-pytest-mpl <!nocheck>,
                      python3-pytest-subtests <!nocheck>,
-                     python3-nbsphinx,
+                     python3-nbsphinx <!nodoc>,
                      python3-numpy,
-                     python3-yaml,
-Standards-Version: 4.6.0
+                     python3-dask,
+                     python3-uncertainties,
+                     python3-xarray,
+                     python3-yaml
+Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/python-team/packages/python-pint
 Vcs-Git: https://salsa.debian.org/python-team/packages/python-pint.git
 Homepage: https://github.com/hgrecco/pint
-Testsuite: autopkgtest-pkg-python
+Testsuite: autopkgtest-pkg-pybuild
 Rules-Requires-Root: no
 
 Package: python3-pint
@@ -49,6 +59,8 @@
 Architecture: all
 Depends: ${misc:Depends},
          ${sphinxdoc:Depends},
+         libjs-requirejs,
+         python3-pydata-sphinx-theme
 Multi-Arch: foreign
 Description: define, operate and manipulate physical quantities - doc
  Pint is Python module/package to define, operate and manipulate physical

## python-pint 0.24.3

=== debian/changelog ===
python-pint (0.24.3-2) unstable; urgency=medium

  * debian/patches:
    - Improve 0007-Use-platformdirs-instead-of-the-deprecated-appdirs.patch.

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Sun, 25 Aug 2024 17:46:05 +0000

python-pint (0.24.3-1) unstable; urgency=medium

  * Upload to unstable.

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Sun, 25 Aug 2024 06:18:55 +0000

python-pint (0.24.3-1~exp1) experimental; urgency=medium

  * New upstream release.
  * debian/copyright:
    - Update dates.
    - Drop entries for unvenored files.
    - Use spaces rather than tabs to start continuation lines.
  * debian/patches:
    - Drop 0007-Fix-broken-tests.patch, applied upstream.
    - Refresh remaining patches.
    - New 0007-Use-platformdirs-instead-of-the-deprecated-appdirs.patch.
  * debian/control:
    - Add dependencies on flexparse, flexcache, typing-extensions
      and platformdirs.
  * Standards version bumped to 4.7.0, no chenges.

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Thu, 22 Aug 2024 17:54:28 +0000

=== debian/control ===
--- 
+++ 
@@ -18,8 +18,11 @@
                python3-sphinx-copybutton <!nodoc>,
                python3-sphinx-design <!nodoc>
 Build-Depends-Indep: pandoc,
+                     python3-flexcache,
+                     python3-flexparser,
                      python3-matplotlib,
                      python3-packaging,
+                     python3-platformdirs,
                      python3-pytest <!nocheck>,
                      python3-pytest-benchmark <!nocheck>,
                      python3-pytest-mpl <!nocheck>,
@@ -27,10 +30,11 @@
                      python3-nbsphinx <!nodoc>,
                      python3-numpy,
                      python3-dask,
+                     python3-typing-extensions,
                      python3-uncertainties,
                      python3-xarray,
                      python3-yaml
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Vcs-Browser: https://salsa.debian.org/python-team/packages/python-pint
 Vcs-Git: https://salsa.debian.org/python-team/packages/python-pint.git
 Homepage: https://github.com/hgrecco/pint

## python-pint 0.24.4

=== debian/changelog ===
python-pint (0.24.4-1) unstable; urgency=medium

  * Team upload
  * New upstream point release.
    - Supports Python 3.13 (Closes: #1081681)
  * Drop 0007-Use-platformdirs-instead-of-the-deprecated-appdirs.patch,
    superseded upstream.
  * Drop Depends on python3-pkg-resources, no longer needed.
    (Closes: #1083680)
  * Use the default Sphinx theme for now. (See #1085947)

 -- Stefano Rivera <stefanor@debian.org>  Sat, 09 Nov 2024 17:36:08 -0800

=== debian/control ===
--- 
+++ 
@@ -14,7 +14,6 @@
                python3-jupyter-client,
                python3-lxml-html-clean,
                python3-sphinx <!nodoc>,
-               python3-sphinx-book-theme <!nodoc>,
                python3-sphinx-copybutton <!nodoc>,
                python3-sphinx-design <!nodoc>
 Build-Depends-Indep: pandoc,
@@ -43,8 +42,7 @@
 
 Package: python3-pint
 Architecture: all
-Depends: python3-pkg-resources,
-         ${misc:Depends},
+Depends: ${misc:Depends},
          ${python3:Depends},
 Description: define, operate and manipulate physical quantities - Python 3.x
  Pint is Python module/package to define, operate and manipulate physical
@@ -64,7 +62,6 @@
 Depends: ${misc:Depends},
          ${sphinxdoc:Depends},
          libjs-requirejs,
-         python3-pydata-sphinx-theme
 Multi-Arch: foreign
 Description: define, operate and manipulate physical quantities - doc
  Pint is Python module/package to define, operate and manipulate physical

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=pint
# See https://github.com/hgrecco/pint/issues/1898
export PYBUILD_TEST_ARGS=\
-k "not test_load_definitions_stage_2 \
and not test_dataset_operation_with_unit \
and not test_quantification" \
--pyargs pint

%:
	dh $@ --with python3,sphinxdoc --buildsystem=pybuild

override_dh_installdocs:
	dh_installdocs
	dh_installdocs -A AUTHORS

override_dh_sphinxdoc:
ifeq (,$(filter nodoc,$(DEB_BUILD_OPTIONS)))
	PYTHONPATH=. python3 -m sphinx -b html docs debian/python-pint-doc/usr/share/doc/python-pint-doc/html
	dh_sphinxdoc -O--buildsystem=python_distutils
	$(RM) -r $(CURDIR)/debian/python-pint-doc/usr/share/doc/python-pint-doc/html/_static/__pycache__
	$(RM) -r $(CURDIR)/debian/python-pint-doc/usr/share/doc/python-pint-doc/html/_static/vendor
	$(RM) $(CURDIR)/debian/python-pint-doc/usr/share/doc/python-pint-doc/html/_static/vendor/fontawesome/5.13.0/LICENSE.txt
	find $(CURDIR)/debian/python-pint-doc/usr/share/doc/python-pint-doc/html -type f -print0 | xargs --no-run-if-empty -0 sed -i 's|https://cdnjs.cloudflare.com/ajax/libs/require.js/2.3.4/require.min.js|file:///usr/share/javascript/requirejs/require.min.js|g'
	find $(CURDIR)/debian/python-pint-doc/usr/share/doc/python-pint-doc/html -type f -print0 | xargs --no-run-if-empty -0 sed -i 's|https://cdn.jsdelivr.net/npm/mathjax@3/es5/tex-mml-chtml.js||g'
endif

## python-pint 0.25

=== docs/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
ifeq ($(wildcard sphinx-build), )
	SPHINXBUILD   = sphinx-build
else
	SPHINXBUILD   = ./sphinx-build
endif
PAPER         =
BUILDDIR      = _build

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .
# the i18n builder cannot share the environment and doctrees with the others
I18NSPHINXOPTS  = $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .

.PHONY: help clean html dirhtml singlehtml pickle json htmlhelp qthelp devhelp epub latex latexpdf text man changes linkcheck doctest gettext

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html       to make standalone HTML files"
	@echo "  dirhtml    to make HTML files named index.html in directories"
	@echo "  singlehtml to make a single large HTML file"
	@echo "  pickle     to make pickle files"
	@echo "  json       to make JSON files"
	@echo "  htmlhelp   to make HTML files and a HTML help project"
	@echo "  qthelp     to make HTML files and a qthelp project"
	@echo "  devhelp    to make HTML files and a Devhelp project"
	@echo "  epub       to make an epub"
	@echo "  latex      to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  latexpdf   to make LaTeX files and run them through pdflatex"
	@echo "  text       to make text files"
	@echo "  man        to make manual pages"
	@echo "  texinfo    to make Texinfo files"
	@echo "  info       to make Texinfo files and run them through makeinfo"
	@echo "  gettext    to make PO message catalogs"
	@echo "  changes    to make an overview of all changed/added/deprecated items"
	@echo "  linkcheck  to check all external links for integrity"
	@echo "  doctest    to run all doctests embedded in the documentation (if enabled)"

clean:
	-rm -rf $(BUILDDIR)/*

html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

singlehtml:
	$(SPHINXBUILD) -b singlehtml $(ALLSPHINXOPTS) $(BUILDDIR)/singlehtml
	@echo
	@echo "Build finished. The HTML page is in $(BUILDDIR)/singlehtml."

pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/pint.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/pint.qhc"

devhelp:
	$(SPHINXBUILD) -b devhelp $(ALLSPHINXOPTS) $(BUILDDIR)/devhelp
	@echo
	@echo "Build finished."
	@echo "To view the help file:"
	@echo "# mkdir -p $$HOME/.local/share/devhelp/pint"
	@echo "# ln -s $(BUILDDIR)/devhelp $$HOME/.local/share/devhelp/pint"
	@echo "# devhelp"

epub:
	$(SPHINXBUILD) -b epub $(ALLSPHINXOPTS) $(BUILDDIR)/epub
	@echo
	@echo "Build finished. The epub file is in $(BUILDDIR)/epub."

latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make' in that directory to run these through (pdf)latex" \
	      "(use \`make latexpdf' here to do that automatically)."

latexpdf:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through pdflatex..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

text:
	$(SPHINXBUILD) -b text $(ALLSPHINXOPTS) $(BUILDDIR)/text
	@echo
	@echo "Build finished. The text files are in $(BUILDDIR)/text."

man:
	$(SPHINXBUILD) -b man $(ALLSPHINXOPTS) $(BUILDDIR)/man
	@echo
	@echo "Build finished. The manual pages are in $(BUILDDIR)/man."

texinfo:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo
	@echo "Build finished. The Texinfo files are in $(BUILDDIR)/texinfo."
	@echo "Run \`make' in that directory to run these through makeinfo" \
	      "(use \`make info' here to do that automatically)."

info:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo "Running Texinfo files through makeinfo..."
	make -C $(BUILDDIR)/texinfo info
	@echo "makeinfo finished; the Info files are in $(BUILDDIR)/texinfo."

gettext:
	$(SPHINXBUILD) -b gettext $(I18NSPHINXOPTS) $(BUILDDIR)/locale
	@echo
	@echo "Build finished. The message catalogs are in $(BUILDDIR)/locale."

changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

=== debian/changelog ===
python-pint (0.25-1) unstable; urgency=medium

  * New upstream release.
  * Update d/copyright file.
  * debian/patches:
    - Refresh all patches.
  * Set upstream metadata fields: Documentation.
  * debian/control:
    - Replace setuptools and setupttols-scm dependenciees with
      hatchling aand hatch-vcs.

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Mon, 18 Aug 2025 08:09:48 +0000

python-pint (0.24.4-2) unstable; urgency=medium

  [ Stefano Rivera ]
  * Revert "Use the default Sphinx theme for now. (See #1085947)"

  [ Alexandre Detiste ]
  * Remove reference to defunct `python_distutils` (Closes: #1092755)

  [ Antonio Valentino ]
  * Standards version bumped to 4.7.2, no changes
  * Update dates in d/copyright

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Sat, 19 Apr 2025 06:33:01 +0000

=== debian/control ===
--- 
+++ 
@@ -8,12 +8,13 @@
                libjs-requirejs,
                pybuild-plugin-pyproject,
                python3-all,
-               python3-setuptools,
-               python3-setuptools-scm,
+               python3-hatchling,
+               python3-hatch-vcs,
                python3-ipykernel,
                python3-jupyter-client,
                python3-lxml-html-clean,
                python3-sphinx <!nodoc>,
+               python3-sphinx-book-theme <!nodoc>,
                python3-sphinx-copybutton <!nodoc>,
                python3-sphinx-design <!nodoc>
 Build-Depends-Indep: pandoc,
@@ -33,7 +34,7 @@
                      python3-uncertainties,
                      python3-xarray,
                      python3-yaml
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Vcs-Browser: https://salsa.debian.org/python-team/packages/python-pint
 Vcs-Git: https://salsa.debian.org/python-team/packages/python-pint.git
 Homepage: https://github.com/hgrecco/pint
@@ -62,6 +63,7 @@
 Depends: ${misc:Depends},
          ${sphinxdoc:Depends},
          libjs-requirejs,
+         python3-pydata-sphinx-theme
 Multi-Arch: foreign
 Description: define, operate and manipulate physical quantities - doc
  Pint is Python module/package to define, operate and manipulate physical

=== debian/rules ===
--- 
+++ 
@@ -18,7 +18,7 @@
 override_dh_sphinxdoc:
 ifeq (,$(filter nodoc,$(DEB_BUILD_OPTIONS)))
 	PYTHONPATH=. python3 -m sphinx -b html docs debian/python-pint-doc/usr/share/doc/python-pint-doc/html
-	dh_sphinxdoc -O--buildsystem=python_distutils
+	dh_sphinxdoc
 	$(RM) -r $(CURDIR)/debian/python-pint-doc/usr/share/doc/python-pint-doc/html/_static/__pycache__
 	$(RM) -r $(CURDIR)/debian/python-pint-doc/usr/share/doc/python-pint-doc/html/_static/vendor
 	$(RM) $(CURDIR)/debian/python-pint-doc/usr/share/doc/python-pint-doc/html/_static/vendor/fontawesome/5.13.0/LICENSE.txt

## python-pint 0.25.1

=== debian/changelog ===
python-pint (0.25.1-1) unstable; urgency=medium

  * New upstream release.
  * debian/control:
    - Drop "Rules-Requires-Root: no", no longer needed.
  * Updaete debian/salsa-ci.yml.

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Sun, 02 Nov 2025 16:42:14 +0000

=== debian/control ===
--- 
+++ 
@@ -39,7 +39,6 @@
 Vcs-Git: https://salsa.debian.org/python-team/packages/python-pint.git
 Homepage: https://github.com/hgrecco/pint
 Testsuite: autopkgtest-pkg-pybuild
-Rules-Requires-Root: no
 
 Package: python3-pint
 Architecture: all

## python-pint 0.25.2

=== debian/changelog ===
python-pint (0.25.2-2) unstable; urgency=medium

  * Team Upload
  * python3-pytest-subtests has been merged into python3-pytest 9.0.1+
    drop the dependency on the old standalone package
  * Rewrite d/rules with newer & shorter syntax
  * Bump Standards-Version to 4.7.3, drop Priority: tag
  * Salsa CI: disable more useless jobs

 -- Alexandre Detiste <tchet@debian.org>  Sat, 27 Dec 2025 14:49:20 +0100

python-pint (0.25.2-1) unstable; urgency=medium

  * New upstream release.

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Sat, 15 Nov 2025 17:51:47 +0000

=== debian/control ===
--- 
+++ 
@@ -1,10 +1,9 @@
 Source: python-pint
 Section: python
-Priority: optional
 Maintainer: Debian Python Team <team+python@tracker.debian.org>
 Uploaders: Thomas Goirand <zigo@debian.org>, Antonio Valentino <antonio.valentino@tiscali.it>
 Build-Depends: debhelper-compat (= 13),
-               dh-python,
+               dh-sequence-python3,
                libjs-requirejs,
                pybuild-plugin-pyproject,
                python3-all,
@@ -23,10 +22,9 @@
                      python3-matplotlib,
                      python3-packaging,
                      python3-platformdirs,
-                     python3-pytest <!nocheck>,
+                     python3-pytest (>= 9.0.1) <!nocheck>,
                      python3-pytest-benchmark <!nocheck>,
                      python3-pytest-mpl <!nocheck>,
-                     python3-pytest-subtests <!nocheck>,
                      python3-nbsphinx <!nodoc>,
                      python3-numpy,
                      python3-dask,
@@ -34,7 +32,7 @@
                      python3-uncertainties,
                      python3-xarray,
                      python3-yaml
-Standards-Version: 4.7.2
+Standards-Version: 4.7.3
 Vcs-Browser: https://salsa.debian.org/python-team/packages/python-pint
 Vcs-Git: https://salsa.debian.org/python-team/packages/python-pint.git
 Homepage: https://github.com/hgrecco/pint

=== debian/rules ===
--- 
+++ 
@@ -9,10 +9,9 @@
 --pyargs pint
 
 %:
-	dh $@ --with python3,sphinxdoc --buildsystem=pybuild
+	dh $@ --with sphinxdoc --buildsystem=pybuild
 
-override_dh_installdocs:
-	dh_installdocs
+execute_after_dh_installdocs:
 	dh_installdocs -A AUTHORS
 
 override_dh_sphinxdoc:
